package com.tarena.oss.rights.service;

import java.util.Collection;

import com.tarena.oss.rights.pojo.Module;
import com.tarena.oss.rights.pojo.Operation;
import com.tarena.oss.rights.pojo.Rights;
import com.tarena.oss.rights.pojo.RightsCondDTO;

public interface RightsMgmtService {
	public void addRight(Rights r);
	public void modifyRight(Rights r);
	public void removeRight(Integer id);
	public Collection<Operation> findOperation();
	public Collection<Module> findmodules();
	public Collection<Rights> findRights();
	public Collection<Rights> findRights(int currentPage);
	public Collection<Rights> findRights(RightsCondDTO dto,int currentPage);	
	public Rights findRight(Integer id);
	public Operation findOperation(Integer id);
	public int findRightCnts();
	public int findRightCntsByCond(RightsCondDTO dto);
}
